function out = readContSimData(filename)

out.t = [];
out.slice = [];

file = fopen(filename, 'r');
thisSlice = [];
page = 0;
while ~feof(file)
    tline = fgetl(file);
    if length(tline) ~= 0
        if length(strfind(tline, 't =')) > 0
            out.t = [out.t; strread(tline, 't = %f')];
            if page > 0
                out.slice(:, :, page) = thisSlice;
            end
            thisSlice = [];
            page = page + 1;
        else
            thisSlice = [thisSlice; transpose(cell2mat(textscan(tline, '%f')))];
        end
    end
end
out.slice(:, :, page) = thisSlice;

fclose(file);